

  {extends file="main.tpl"}
    <!DOCTYPE head PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><head xmlns="http://www.w3.org/1999/xhtml">
  {block name=title}GPSBabel development:DeLorme PN-20/PN-30/PN-40 USB protocol (delbin){/block}
  {block name=body}
                       
  <div xmlns="http://www.w3.org/1999/xhtml" class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">DeLorme PN-20/PN-30/PN-40 USB protocol (delbin)</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="fmt_gpl.html">Prev</a> </td><th width="60%" align="center">Chapter 3. The Formats</th><td width="20%" align="right"> <a accesskey="n" href="fmt_saplus.html">Next</a></td></tr></table><hr /></div><div xmlns="http://www.w3.org/1999/xhtml" class="section"><div class="titlepage"><div><div><h2 class="title" ><a id="fmt_delbin"></a>DeLorme PN-20/PN-30/PN-40 USB protocol (delbin)</h2></div></div></div><p class="fmtcapshdr">
    This format can...
    </p><div class="itemizedlist"><ul class="itemizedlist" style="list-style-type: disc; "><li class="listitem"><p class="fmtcapsitem">
          read and write waypoints
        </p></li><li class="listitem"><p class="fmtcapsitem">
          read and write tracks
        </p></li><li class="listitem"><p class="fmtcapsitem">
          read and write routes
        </p></li></ul></div><p>This format has the following options: <a class="link" href="fmt_delbin.html#fmt_delbin_o_get_posn" title="get_posn option">get_posn</a>, <a class="link" href="fmt_delbin.html#fmt_delbin_o_logs" title="logs option">logs</a>, <a class="link" href="fmt_delbin.html#fmt_delbin_o_long_notes" title="long_notes option">long_notes</a>, <a class="link" href="fmt_delbin.html#fmt_delbin_o_nukewpt" title="nukewpt option">nukewpt</a>, <a class="link" href="fmt_delbin.html#fmt_delbin_o_nuketrk" title="nuketrk option">nuketrk</a>, <a class="link" href="fmt_delbin.html#fmt_delbin_o_nukerte" title="nukerte option">nukerte</a>, <a class="link" href="fmt_delbin.html#fmt_delbin_o_hint_at_end" title="hint_at_end option">hint_at_end</a>, <a class="link" href="fmt_delbin.html#fmt_delbin_o_gcsym" title="gcsym option">gcsym</a> .</p><p>
  The 'delbin' module supports 
<span class="productname">DeLorme PN-20</span>™, 
<span class="productname">DeLorme PN-30</span>™, 
<span class="productname">DeLorme PN-40</span>™, 
<span class="productname">DeLorme PN-40 SE</span>™, and 
<span class="productname">DeLorme PN 60 </span>™receivers.
  </p><div class="important" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Important</h3><p>
      Not all strains of Linux are supported.   Fedora 7 is known not to work, for example.
    </p></div><p>
</p><p>
  Only the 'usb:' device is supported.  If you're on Windows, do not attempt to
  run this through the serial driver.
</p><p>
  On Linux, a name of the form 'hid:path-to-hidraw,path-to-hiddev' is also supported.
  You will need to use this only if the HID device nodes on your system are not named
  /dev/hidrawN and /dev/hiddevN or /dev/usb/hiddevN.
</p><p>
  This module implements the (undocumented) waypoint extensions introduced
  for enhanced geocaching mode in 2.5 for PN-40 and 1.6 for PN-20.  As 
  these are reverse engineered, there may be issues with those modes 
  in particular.
</p><div class="example"><a id="pn-40-send"></a><p class="title"><strong>Example 3.5. Command to send a pocket query (GPX) to a Delorme PN device </strong></p><div class="example-contents"><p>
    <strong class="userinput"><code>
      gpsbabel -i gpx -f "My Caches.gpx" -o delbin -F usb:
    </code></strong>
  </p></div></div><br class="example-break" /><p>
  If you receive a message that the device is busy, especially on Windows,
  that could be because another program, likely Delorme's own, has the 
  device open even though it's not actively interacting with the GPS.   In 
  Topo 8, on the GPS tab, look for GPS Options.  Uncheck "Start GPS" and 
  "Automatically detect GPS".   Then just click the Exchange button when
  you're ready for Topo to interact with the GPS.  Other Delorme software may
  be similar.
</p><p>
  The GPS should not be in 'map exchange' mode.   When in that mode, it appears
  as a disk to the USB system, thus GPSBabel will be unable to find the GPS.
</p><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_delbin_o_get_posn"></a><code class="option">get_posn</code> option</h3></div></div></div><p>
      Return current position as a waypoint.
    </p><p>This option returns the current position as a single waypoint.</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_delbin_o_logs"></a><code class="option">logs</code> option</h3></div></div></div><p>
      Include groundspeak logs when writing.
    </p><p>
  When set to true, this includes Groundspeak logs from GPX pocket queries 
  when writing to Delorme devices that support the extended features introduced
  in firmware version 2.5 for the PN-40 and PN-30 and in 1.6 for the PN-20.
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_delbin_o_long_notes"></a><code class="option">long_notes</code> option</h3></div></div></div><p>
      Use long waypoint notes regardless of PN version.
    </p><p>
  Use long waypoint notes, overriding the built-in version check (which is 
  reverse engineered) that tests if the unit can handle the waypoint comments
  longer than 800 bytes.
</p><p>
  This option will probably go away in time as most units get upgraded to
  the capabilities of the 2.5 version of the PN-40 and PN-30 or version 1.6 
  for the PN-20.
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_delbin_o_nukewpt"></a><code class="option">nukewpt</code> option</h3></div></div></div><p>
      Delete all waypoints before sending.
    </p><p>
  When present on the command line and sending waypoints (either explicitly 
  via -w or as the default), this will erase
  all waypoints in the receiver before sending the new ones.
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_delbin_o_nuketrk"></a><code class="option">nuketrk</code> option</h3></div></div></div><p>
      Delete all tracks before sending.
    </p><p>
  When present on the command line and sending tracks with -t, this will erase
  all tracks in the receiver before sending the new ones.
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_delbin_o_nukerte"></a><code class="option">nukerte</code> option</h3></div></div></div><p>
      Delete all routes before sending.
    </p><p>
  When present on the command line and sending routes with -r, this will erase
  all routes in the receiver before sending the new ones.
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_delbin_o_hint_at_end"></a><code class="option">hint_at_end</code> option</h3></div></div></div><p>
      If true, geocache hint at end of text.
    </p><p>
  When set to true, this places the "HINT:" entry from a geocaching.com 
   pocket query at the end of the screen (scroll up for quick access) like
   Cache Register and Topo7 do instead of at the top as Topo8 does.
</p></div><div class="section"><div class="titlepage"><div><div><h3 class="title"><a id="fmt_delbin_o_gcsym"></a><code class="option">gcsym</code> option</h3></div></div></div><p>
      If set to 0, prefer user-provided symbols over Groundspeaks ones for geocaches.
    </p><p>
This 1/0 option, defaulting to  if not provided, tells GPSBabel to 
use its own logic when sending data it can deduce is a geocache to 
the device. If false, any icon data present in the source data will
 be used instead. If you've taken control of the icon data, you are
 responsible for providing valid icons; GPSBabel will make no attempt 
to purify what gets sent.
</p></div></div><div xmlns="http://www.w3.org/1999/xhtml" class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="fmt_gpl.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="The_Formats.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="fmt_saplus.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">DeLorme GPL (gpl) </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> DeLorme Street Atlas Plus (saplus)</td></tr></table></div>
  
      {/block}
  